org.hibernate.validator.internal.metadata.descriptor

## Enum ConstraintDescriptorImpl.ConstraintType

- java.lang.Object
- - java.lang.Enum<ConstraintDescriptorImpl.ConstraintType>
  - - org.hibernate.validator.internal.metadata.descriptor.ConstraintDescriptorImpl.ConstraintType

- All Implemented Interfaces:
    Serializable, Comparable<ConstraintDescriptorImpl.ConstraintType>
  Enclosing class:
    ConstraintDescriptorImpl<T extends Annotation>

      public static enum ConstraintDescriptorImpl.ConstraintType
      extends Enum<ConstraintDescriptorImpl.ConstraintType>

  The type of a constraint.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CROSS_PARAMETER` A cross parameter constraint.
    `GENERIC` A non cross parameter constraint.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConstraintDescriptorImpl.ConstraintType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConstraintDescriptorImpl.ConstraintType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GENERIC

          public static final ConstraintDescriptorImpl.ConstraintType GENERIC

      A non cross parameter constraint.

    - #### CROSS_PARAMETER

          public static final ConstraintDescriptorImpl.ConstraintType CROSS_PARAMETER

      A cross parameter constraint.

  - ### Method Detail

    - #### values

          public static ConstraintDescriptorImpl.ConstraintType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConstraintDescriptorImpl.ConstraintType c : ConstraintDescriptorImpl.ConstraintType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConstraintDescriptorImpl.ConstraintType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved